CSS2CD(3NCARG)

NAME
CSS2CD - convert from lat/lon coordinates to Cartesian coordinates.

SYNOPSIS
CALL CSS2CD (N, RLAT, RLON, X, Y, Z)

DESCRIPTION

N   (integer, input) The number of input lat/lon coordinates.

RLAT
    (double precision, input) An array containing the latitudes of the input coordinates.

RLON
    (double precision, input) An array containing the longitudes of the input coordinates.

X   (double precision, output) An array containing the X component of the Cartesian coordinates of the output data. (X(I),Y(I),Z(I)) is the Cartesian coordinate corresponding to the lat/lon coordinate (RLAT(I),RLON(I)) for I=1 to N.

Y   (double precision, output) An array containing the Y component of the Cartesian coordinates of the output data. (X(I),Y(I),Z(I)) is the Cartesian coordinate corresponding to the lat/lon coordinate (RLAT(I),RLON(I)) for I=1 to N.

Z   (double precision, output) An array containing the Z component of the Cartesian coordinates of the output data. (X(I),Y(I),Z(I)) is the Cartesian coordinate corresponding to the lat/lon coordinate (RLAT(I),RLON(I)) for I=1 to N.

USAGE
CSS2CD is called to find the equivalent Cartesian coordinates on a unit sphere to specified latitude and longitude coordinates. The coordinate of 0. latitude and 0. longitude is converted to Cartesian coordinate (1.,0.,0.). Latitudes and longitudes are assumed to be in degrees. CSS2CD is a double precision verson of CSS2C.

ACCESS
To use CSS2CD, load the NCAR Graphics library ngmath.

SEE ALSO
css_overview, cssgrid, csc2sd, css2c.

Complete documentation for Cssgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/cssgrid/csshome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.